## org.eclipse.emf.cdo.spi.common.id
Class CDOIDLibraryDescriptorImpl

    java.lang.Object
      org.eclipse.emf.cdo.spi.common.id.CDOIDLibraryDescriptorImpl

All Implemented Interfaces:
  CDOIDLibraryDescriptor

Direct Known Subclasses:
  CDOIDLongFactoryImpl.LibraryHandler

    public class CDOIDLibraryDescriptorImpl

extends java.lang.Object
implements CDOIDLibraryDescriptor

Since:
  2.0

Constructor Summary
`CDOIDLibraryDescriptorImpl(org.eclipse.net4j.util.io.ExtendedDataInput in)`
`CDOIDLibraryDescriptorImpl(java.lang.String factoryName, java.lang.String[] libraryNames)`

Method Summary
`java.lang.String` `getFactoryName()`
`java.lang.String[]` `getLibraryNames()`
`java.lang.String` `toString()`
`void` `write(org.eclipse.net4j.util.io.ExtendedDataOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CDOIDLibraryDescriptorImpl

    public CDOIDLibraryDescriptorImpl(java.lang.String factoryName,
                                      java.lang.String[] libraryNames)

### CDOIDLibraryDescriptorImpl

    public CDOIDLibraryDescriptorImpl(org.eclipse.net4j.util.io.ExtendedDataInput in)
                               throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getFactoryName

    public java.lang.String getFactoryName()

  Specified by:
    `getFactoryName` in interface `CDOIDLibraryDescriptor`

### getLibraryNames

    public java.lang.String[] getLibraryNames()

  Specified by:
    `getLibraryNames` in interface `CDOIDLibraryDescriptor`

### write

    public void write(org.eclipse.net4j.util.io.ExtendedDataOutput out)
               throws java.io.IOException

  Specified by:
    `write` in interface `CDOIDLibraryDescriptor`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.